| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
FunnelStringDialog Class Reference

A generic dialog created via the funnel API to prompt the user for string inputs. More...

`#include <funnel_string_dialog.h>`

Inheritance diagram for FunnelStringDialog:

## Public Member Functions
| FunnelStringDialog (QWidget *parent, const QString title, const QList< QPair< QString, QString > > field_list, funnel_dlg_cb_t dialog_cb, void *dialog_cb_data, funnel_dlg_cb_data_free_t dialog_data_free_cb)
| Constructs a new FunnelStringDialog.
| ~FunnelStringDialog ()
| Destroys the FunnelStringDialog.
void | accept () override
| Handles the dialog acceptance, triggering the callback with user inputs.
void | reject () override
| Handles the dialog rejection, cleaning up associated callback data without execution.

## Static Public Member Functions
static void | stringDialogNew (QWidget *parent, const QString title, const QList< QPair< QString, QString > > field_list, funnel_dlg_cb_t dialog_cb, void *dialog_cb_data, funnel_dlg_cb_data_free_t dialog_cb_data_free)
| Static helper method to instantiate and show a new FunnelStringDialog.

## Detailed Description

A generic dialog created via the funnel API to prompt the user for string inputs.

## Constructor & Destructor Documentation

## ◆ FunnelStringDialog()

FunnelStringDialog::FunnelStringDialog | ( | QWidget * | parent,
|  | const QString | title,
|  | const QList< QPair< QString, QString > > | field_list,
|  | funnel_dlg_cb_t | dialog_cb,
|  | void * | dialog_cb_data,
|  | funnel_dlg_cb_data_free_t | dialog_data_free_cb )
| explicit

Constructs a new FunnelStringDialog.

Parameters

  parent | The parent widget.
  title | The title of the dialog window.
  field_list | A list of pairs, where each pair defines a label and an initial string value for an input field.
  dialog_cb | The callback function executed when the dialog is accepted.
  dialog_cb_data | User data passed to the callback function.
  dialog_data_free_cb | The callback function used to free the user data.

## Member Function Documentation

## ◆ stringDialogNew()

void FunnelStringDialog::stringDialogNew | ( | QWidget * | parent,
|  | const QString | title,
|  | const QList< QPair< QString, QString > > | field_list,
|  | funnel_dlg_cb_t | dialog_cb,
|  | void * | dialog_cb_data,
|  | funnel_dlg_cb_data_free_t | dialog_cb_data_free )
| static

Static helper method to instantiate and show a new FunnelStringDialog.

Parameters

  parent | The parent widget.
  title | The title of the dialog window.
  field_list | A list of labels and default values for the input fields.
  dialog_cb | The acceptance callback.
  dialog_cb_data | User data for the callback.
  dialog_cb_data_free | The memory freeing callback for the user data.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/funnel_string_dialog.h
- /builds/wireshark/wireshark/ui/qt/funnel_string_dialog.cpp